package com.simuwang.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.CompanyEmailConfigDO;
import com.simuwang.base.pojo.dto.query.CompanyEmailHistoryPageQuery;
import com.simuwang.base.pojo.vo.CompanyEmailConfigVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * FileName: CompanyEmailConfigMapper
 * Author:   chenjianhua
 * Date:     2024/9/7 12:59
 * Description: ${DESCRIPTION}
 */
@Mapper
public interface CompanyEmailConfigMapper extends BaseMapper<CompanyEmailConfigDO> {

    void deleteCompanyEmailConfig(@Param("companyId") String companyId);

    void saveCompanyEmailConfig(CompanyEmailConfigDO emailConfigDO);

    void updateCompanyEmailConfig(CompanyEmailConfigDO emailConfigDO);

    CompanyEmailConfigDO selectCompanyEmailConfigById(Integer id);

    List<String> searchEmailByCompanyId(@Param("companyId")String companyId);

    List<CompanyEmailConfigVO> searchEmailConfig(CompanyEmailHistoryPageQuery companyEmailHistoryPageQuery);

    long countEmailConfig(CompanyEmailHistoryPageQuery companyEmailHistoryPageQuery);

    List<CompanyEmailConfigVO> searchEmailConfigByCompanyId(@Param("companyId")String companyId);
}
